TESTHOST(1)

NAME
testhost - test the status of an NNTP news server

SYNOPSIS
testhost hostname [ -a|-n date time |-o ] [ -M ] [ -s|-S filename ] [ -e|-E filename ] [ -N port_number ] [ -U userid ] [ -P password ] [ -Q ] [ -l phrase_file ] [ -T timeout ] [ -d ] [ -q ] [ -z ]

OPTIONS
-a Get the active list from hostname

-d

This option tells testhost get the descriptions of the newsgroups on the remote server by sending the 'list newsgroups' command. The remote server may or may not support this command.

-e | -E filename

These options will send all error messages (normally displayed on stderr), to an alternate file. The lower case version, -e, will send the error messages to the compiled-in default defined in suck_config.h. The default is suck.errlog. The upper case version, -E, requires the filename parameter. All error messages will then be sent to this file.

-l phrase_file

This option tells testhost to load in an alternate phrase file, instead of using the built-in messages. This allows you to have testhost print phrases in another language, or to allow you to customize the messages without re-building. See the "FOREIGN LANGUAGE PHRASES" in suck.1 for more details.

-n date time

Get the newgroups created on the host since the date and time specified. The date must be in YYMMDD format and the time must be in HHMMSS format.

-N port_number

This option will tell testhost to use an alternate NNRP port number when connecting to the host, instead of the default, 119.

-q

This option tells testhost to not display the connection and announcement messages, rather only display the results of the actual command run.

-s | -S filename

These options will send all status messages (normally displayed on stdout), to an alternate file. The lower case version, -s, will send the status messages to the compiled-in default defined in suck_config.h. The default is /dev/null, so no status messages will be displayed. The upper case version, -S, requires the filename parameter. All status messages will then be sent to this file.

-T

This option overrides the compiled-in TIMEOUT value. This is how long testhost waits for data from the remote host before timing out and aborting.

-U userid

-P password

These two options let you specify a userid and password, if your NNTP server requires them.

-Q

This option tells testhost to use the environment variable NNTP_USER & NNTP_PASS to specify a userid and password, if your NNTP server requires them. This option is provided so that the userid & password can't be seen with the ps command, a potential security problem.

-z

This options tells testhost to use SSL to talk to the remote server, if testhost was compiled with SSL.

DESCRIPTION
Testhost will query a NNTP news server, specified by hostname.

The hostname may optionally include the port number in the form Host:Port.Iftheportnumberisincluded,theportnumberspecified by the -N option will be ignored.

The default action is to issue the help command to the server, to see what software it is running and what commands it accepts.

If the -a option is used, testhost will display the server's active history list. If the -n date time option is used, testhost will display all new groups created on the server since the date and time specified. If the -o option is used, then testhost will display the overview format, which is what the XOVER command returns.

If the -M option is used, the command will be preceded with the "mode reader" command, which might be needed by some servers.

EXIT VALUES
0 on success, -1 on failure.

SEE ALSO
suck(1), rpost(1), lpost(1).